auth_token ile Kullanıcı Bilgisi Al
auth_token ile Kullanıcı Bilgisi Al.
API Belgelerine Dön
/Cookie Endpoints
GET
/twitter/{auth_token}/user_infoAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Yol Parametreleri
auth_tokenstringzorunluÇerezden alınan auth_token dizesi
Yanıtlar
200Twitter user info
codeintegerzorunluHTTP durum kodu (200 başarılı anlamına gelir)
msgstringzorunluYanıt mesajı (örn: 'success')
dataUserInfo | anyzorunluUç nokta tarafından döndürülen ana veri
Özellikleri gösterÖzellikleri gizle
Any of:
UserInfo
userIdstringzorunluUser ID
isBlueVerifiedbooleanzorunluBlue verification status
createdAtstringzorunluAccount creation date
createdAtDatetimestring | anyAccount creation datetime in ISO format
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anydefaultProfilebooleanzorunluDefault profile flag
defaultProfileImagebooleanzorunluDefault profile image flag
descriptionstringzorunluProfil biyografisi (Bio)
locationstringzorunluLocation
fastFollowersCountintegerzorunluFast followers count
favouritesCountintegerzorunluLikes count
followersCountintegerzorunluFollowers count
followingCountintegerzorunluFollowing count
hasCustomTimelinesbooleanzorunluHas custom timelines flag
isTranslatorbooleanzorunluIs translator flag
listedCountintegerzorunluListed count
mediaCountintegerzorunluMedia count
namestringzorunluKullanıcının görünen adı
normalFollowersCountintegerzorunluNormal followers count
pinnedTweetIdsStrany[] | anyPinned tweet IDs
Özellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
anypossiblySensitivebooleanzorunluPossibly sensitive flag
profileImageUrlHttpsstringzorunluProfile image URL
usernamestringzorunluUsername
statusesCountintegerzorunluTweets count
translatorTypestring | anyTranslator type
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyverifiedbooleanzorunluLegacy verification status
verified_typestring | anyVerification badge type: blue, business, government, etc.
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anywithheldInCountriesany[] | anyWithheld in countries
Özellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
anyprotectedbooleanzorunluProtected account flag
urlstring | anyUser profile URL
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anydescriptionUrlsany[] | anyDescription URLs
Özellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
anyurlsany[] | anyUser URLs
Özellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
anypinnedTweetIdsany[] | anyPinned tweet IDs
Özellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
anyany
any422Parametre Doğrulama Hatası
detailValidationError[]Özellikleri gösterÖzellikleri gizle
Array of
ValidationErrorlocstring | integer[]zorunluÖzellikleri gösterÖzellikleri gizle
Array of
string | integerAny of:
string
stringinteger
integermsgstringzorunluYanıt mesajı (örn: 'success')
typestringzorunluinputanyctxobject⚡Etkileşimli KonsolGET
⚡Etkileşimli Konsol / API TestiGETLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)
1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.
2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.
🔑API Yetkilendirmesi
⚙️Parametreler (1)
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X GET "https://api.twexapi.io/twitter/string/user_info" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.twexapi.io/twitter/string/user_info", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.twexapi.io/twitter/string/user_info",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Yanıt
{
"code": 0,
"msg": "string",
"data": {
"userId": "string",
"isBlueVerified": true,
"createdAt": "string",
"createdAtDatetime": "string",
"defaultProfile": true,
"defaultProfileImage": true,
"description": "string",
"location": "string",
"fastFollowersCount": 0,
"favouritesCount": 0,
"followersCount": 0,
"followingCount": 0,
"hasCustomTimelines": true,
"isTranslator": true,
"listedCount": 0,
"mediaCount": 0,
"name": "string",
"normalFollowersCount": 0,
"pinnedTweetIdsStr": [
null
],
"possiblySensitive": true,
"profileImageUrlHttps": "string",
"username": "string",
"statusesCount": 0,
"translatorType": "string",
"verified": true,
"verified_type": "blue",
"withheldInCountries": [
null
],
"protected": true,
"url": "string",
"descriptionUrls": [
null
],
"urls": [
null
],
"pinnedTweetIds": [
null
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}